
Foreman - Refactor #4901

As a developer I'd like to improve test coverage of models

03/27/2014 12:33 PM - Anonymous

Status: New   

Priority: Normal   

Assignee:    

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Orchestration

app/models/concerns/orchestration/compute.rb    33.33

app/models/concerns/orchestration/ssh_provision.rb    35.48

app/models/concerns/orchestration/dhcp.rb    70.51

app/models/concerns/orchestration/tftp.rb    73.91

app/models/concerns/orchestration/puppetca.rb    75

app/models/concerns/orchestration/dns.rb    80.28

Compute Resources:

app/models/compute_resources/foreman/model/ovirt.rb    38.67

app/models/compute_resources/foreman/model/vmware.rb    40.87

app/models/compute_resources/foreman/model/openstack.rb    42.39

app/models/compute_resources/foreman/model/rackspace.rb    45.45

app/models/compute_resources/foreman/model/gce.rb    52.86

app/models/compute_resources/foreman/model/ec2.rb    60.53

app/models/compute_resources/foreman/model/libvirt.rb    66.97

History

#1 - 03/27/2014 12:35 PM - Anonymous

- Category set to Tests

#2 - 03/27/2014 12:39 PM - Anonymous

- Target version set to 1.8.4

#3 - 04/24/2014 12:12 PM - Anonymous

- Target version deleted (1.8.4)

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

http://www.tcpdf.org

